{% extends 'dashboard/dashboard.twig' %}

{% block title %}Add Teacher | GradeBook{% endblock %}
{% block stylesheets %}
    <link rel="stylesheet" type="text/css" href="{{ asset('css/main.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('css/students.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('css/form.css') }}">
{% endblock %}

{% block body %}

<div id="form-teacher-container">
    {{ form_start(form) }}
    <div id="form-title">
        <div id="form-title-text">
            <h3>Add Profile</h3>
        </div>
    </div>
    <div class="form-two-inputs">
        <div class="form-two-inputs-area">
            <div class="element-label">
                <div class="element-label-text">
                    <label>First Name</label>
                </div>
            </div>
            <div class="element-input">
                {{ form_widget(form.name, {'attr': {'class': 'form-input'}}) }}
            </div>
        </div>
        <div class="form-two-inputs-area">
            <div class="element-label">
                <div class="element-label-text">
                    <label>Last Name</label>
                </div>
            </div>
            <div class="element-input">
                {{ form_widget(form.surname, {'attr': {'class': 'form-input'}}) }}
            </div>
        </div>
    </div>
    <div class="form-two-inputs">
        <div class="form-two-inputs-area">
            <div class="element-label">
                <div class="element-label-text">
                    <label>Email</label>
                </div>
            </div>
            <div class="element-input">
                {{ form_widget(form.email, {'attr': {'class': 'form-input'}}) }}
            </div>
        </div>
        <div class="form-two-inputs-area">
            <div class="element-label">
                <div class="element-label-text">
                    <label>Password</label>
                </div>
            </div>
            <div class="element-input">
                {{ form_widget(form.password, {'attr': {'class': 'form-input'}}) }}
            </div>
        </div>
    </div>
    <div class="form-subjects-and-classes">
        <div class="form-two-inputs-area">
            <div class="element-checkboxes-label">
                <div class="element-label-text">
                    <label>Classes</label>
                </div>
            </div>
            <div class="container">
                <ul class="ks-cboxtags">
                    <li>{{ form_widget(form.classes) }}</li>
                </ul>
            </div>
        </div>
        <div class="form-two-inputs-area">
            <div class="element-checkboxes-label">
                <div class="element-label-text">
                    <label>Subjects</label>
                </div>
            </div>
            <div class="container">
                <ul class="ks-cboxtags">
                    <li>{{ form_widget(form.subject) }}</li>
                </ul>
            </div>
        </div>
    </div>
    <div class="form-teacher-submit">
        {{ form_widget(form.save, {'attr': {'class': 'save-button'}}) }}
    </div>
    {{ form_end(form) }}
</div>
<div id="image">
    <img src="{{ asset('img/teacher-add.jpg') }}">
</div>

{% endblock %}